#include <iostream>

using namespace std;

int main()
{
    int n,k;
    bool flag=false;
    cin>>n>>k;
    int niz[n];
    for(int i=0;i<n;i++){
         cin>>niz[i];
         if(flag==true){
            cout<<niz[i];
            break;
         }
         else{
            if(niz[i]==k){
                if(i==n-1){
                    cout<<niz[0];
                    break;
                }
                else{
                    flag=true;
                }
            }
         }
    }
}